/**
 * output package name
 */
package com.kingdee.eas.custom.log.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class DockingSystemEnum extends StringEnum
{
    public static final String OA_VALUE = "1";//alias=OA系统
    public static final String IOT_VALUE = "2";//alias=IOT系统
    public static final String ACCESSCONTROL_VALUE = "3";//alias=门禁系统

    public static final DockingSystemEnum OA = new DockingSystemEnum("OA", OA_VALUE);
    public static final DockingSystemEnum IOT = new DockingSystemEnum("IOT", IOT_VALUE);
    public static final DockingSystemEnum accessControl = new DockingSystemEnum("accessControl", ACCESSCONTROL_VALUE);

    /**
     * construct function
     * @param String dockingSystemEnum
     */
    private DockingSystemEnum(String name, String dockingSystemEnum)
    {
        super(name, dockingSystemEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static DockingSystemEnum getEnum(String dockingSystemEnum)
    {
        return (DockingSystemEnum)getEnum(DockingSystemEnum.class, dockingSystemEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(DockingSystemEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(DockingSystemEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(DockingSystemEnum.class);
    }
}